package com.zcloud.service.bus.impl;

import java.util.List;

import com.zcloud.mapper.dsno2.check.CheckUserMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.service.bus.CheckUserService;

/**
 * 说明：清单检查记录
 * 作者：luoxiaobao
 * 时间：2021-01-25
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class CheckUserServiceImpl implements CheckUserService{

	@Autowired
	private CheckUserMapper checkuserMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		checkuserMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		checkuserMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		checkuserMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return checkuserMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return checkuserMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return checkuserMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		checkuserMapper.deleteAll(ArrayDATA_IDS);
	}

	/**清单检查人(公司试用结束时清除检查人)
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteByCorp(PageData pd)throws Exception{
		checkuserMapper.deleteByCorp(pd);
	}

}

